petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatInodeGetInodeSizes

Returns the inode information of the Inode matrix.

### Synopsis

    PetscErrorCode  MatInodeGetInodeSizes(Mat A,PetscInt *node_count,PetscInt *sizes[],PetscInt *limit)

Not Collective

### Input Parameter

A -the Inode matrix or matrix derived from the Inode class -- e.g., SeqAIJ

### Output Parameter

| node_count | - no of inodes present in the matrix.
| sizes | - an array of size node_count,with sizes of each inode.
| limit | - the max size used to generate the inodes.

### Notes

This routine returns some internal storage information of the matrix, it is intended to be used by advanced users. It should be called after the matrix is assembled. The contents of the sizes[] array should not be changed. NULL may be passed for information not requested.

### Keywords

matrix, seqaij, get, inode

### See Also

MatGetInfo()

### Level

advanced

### Location

src/mat/impls/aij/seq/inode.c

### Implementations

MatInodeGetInodeSizes_SeqAIJ_Inode in src/mat/impls/aij/seq/inode.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages